package cmd

import (
	"github.com/spf13/cobra"
	"uauth/internal/serve"
)

func initServe() *cobra.Command {
	var (
		address string
		prefix  string
	)

	svc := &cobra.Command{
		Use: "svc",
		RunE: func(cmd *cobra.Command, args []string) error {
			return serve.Run(cmd.Context(), prefix, address)
		},
	}

	svc.Flags().StringVar(&address, "address", "localhost:8080", "listen address")
	svc.Flags().StringVar(&prefix, "prefix", "/api/oauth/v2", "api prefix")

	return svc
}
